Schema "fpml-option-shared-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8648 $

Defined Components:

  101 local elements, 37 complexTypes, 4 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-option-shared-5-3.xsd; see XML source

Includes Schema:

  fpml-asset-5-3.xsd [src]

Included in Schemas (5):

  fpml-bond-option-5-3.xsd [src], fpml-cd-5-3.xsd [src], fpml-com-5-3.xsd [src], fpml-eq-shared-5-3.xsd [src], fpml-fx-5-3.xsd [src]

All Element Summary
amount (in featurePayment) | The monetary quantity in currency units.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin FeaturePayment complexType; see XML source
applicable (defined in Restructuring complexType) | Indicates whether the restructuring provision is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Restructuring complexType; see XML source
applicable (in failureToPay defined in CreditEvents complexType) | Indicates whether the failure to pay provision is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin FailureToPay complexType; see XML source
applicable (in gracePeriodExtension) | Indicates whether the grace period extension provision is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin GracePeriodExtension complexType; see XML source
asian (in feature defined in OptionBaseExtended complexType) | An option where and average price is taken on valuation.
Type: | Asian
Content: | complex, 4 elements
Defined: | locally witnin OptionFeature.model group; see XML source
averagingDateTimes | An unweighted list of averaging observation date and times.
Type: | DateTimeList
Content: | complex, 1 element
Defined: | locally witnin AveragingPeriod complexType; see XML source
averagingInOut |
Type: | AveragingInOutEnum
Content: | simple
Defined: | locally witnin Asian complexType; see XML source
averagingObservation | A single weighted averaging observation.
Type: | WeightedAveragingObservation
Content: | complex, 3 elements
Defined: | locally witnin AveragingObservationList complexType; see XML source
averagingObservations | A weighted list of averaging observation date and times.
Type: | AveragingObservationList
Content: | complex, 1 element
Defined: | locally witnin AveragingPeriod complexType; see XML source
averagingPeriodFrequency | The frequency at which averaging period occurs with the regular part of the valuation schedule and their roll date convention.
Type: | CalculationPeriodFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AveragingSchedule complexType; see XML source
averagingPeriodIn | The averaging in period.
Type: | AveragingPeriod
Content: | complex, 4 elements
Defined: | locally witnin Asian complexType; see XML source
averagingPeriodOut | The averaging out period.
Type: | AveragingPeriod
Content: | complex, 4 elements
Defined: | locally witnin Asian complexType; see XML source
bankruptcy (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
barrier (in feature defined in OptionBaseExtended complexType) | An option with a barrier feature.
Type: | Barrier
Content: | complex, 2 elements
Defined: | locally witnin OptionFeature.model group; see XML source
barrierCap | A trigger level approached from beneath.
Type: | TriggerEvent
Content: | complex, 4 elements
Defined: | locally witnin Barrier complexType; see XML source
barrierFloor | A trigger level approached from above.
Type: | TriggerEvent
Content: | complex, 4 elements
Defined: | locally witnin Barrier complexType; see XML source
businessCenter (in creditEventNotice defined in CreditEvents complexType) | Inclusion of this business center element implies that Greenwich Mean Time in Section 3.3 of the 2003 ISDA Credit Derivatives Definitions is replaced by the local time of the city indicated by the businessCenter element value.
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin CreditEventNotice complexType; see XML source
buyerPartyReference (in notifyingParty) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NotifyingParty complexType; see XML source
calendarSpread | Definition of the later expiration date in a calendar spread.
Type: | CalendarSpread
Content: | complex, 1 element
Defined: | locally witnin StrategyFeature complexType; see XML source
composite | If “Composite” is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price – Strike Price) / (Strike Price – Settlement Price) x Multiplier provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero.
Type: | Composite
Content: | complex, 3 elements
Defined: | locally witnin FxFeature complexType; see XML source
creditEventNotice (defined in CreditEvents complexType) | A specified condition to settlement.
Type: | CreditEventNotice
Content: | complex, 3 elements
Defined: | locally witnin CreditEvents complexType; see XML source
creditEvents (in trigger defined in TriggerEvent complexType) |
Type: | CreditEvents
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin Trigger complexType; see XML source
creditEventsReference |
Type: | CreditEventsReference
Content: | empty, 1 attribute
Defined: | locally witnin Trigger complexType; see XML source
crossCurrency | If “Cross-Currency” is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price – Strike Price) / (Strike Price – Settlement Price) x Multiplier x one unit of the Reference Currency converted into an amount in the Settlement Currency using the rate of exchange of the Settlement Currency as quoted on the Reference Price Source on the Valuation Date, provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero.
Type: | Composite
Content: | complex, 3 elements
Defined: | locally witnin FxFeature complexType; see XML source
currency (defined in OptionStrike complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin OptionStrike complexType; see XML source
currency (in featurePayment) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin FeaturePayment complexType; see XML source
dateTime (in averagingObservation) | Observation date time, which should be used when literal observation dates are required.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin WeightedAveragingObservation complexType; see XML source
defaultRequirement | In relation to certain credit events, serves as a threshold for Obligation Acceleration, Obligation Default, Repudiation/Moratorium and Restructuring.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditEvents complexType; see XML source
determinationMethod (defined in Composite complexType) | Specifies the method according to which an amount or a date is determined.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin Composite complexType; see XML source
distressedRatingsDowngrade | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
entitlementCurrency | TODO
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin OptionDenomination.model group; see XML source
exerciseProcedure (defined in OptionBaseExtended complexType) | A set of parameters defining procedures associated with the exercise.
Type: | ExerciseProcedure
Content: | complex, 5 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
expirationDateTwo |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalendarSpread complexType; see XML source
failureToPay (defined in CreditEvents complexType) | A credit event.
Type: | FailureToPay
Content: | complex, 3 elements
Defined: | locally witnin CreditEvents complexType; see XML source
failureToPayInterest | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
failureToPayPrincipal (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
feature (defined in OptionBaseExtended complexType) | An Option feature such as quanto, asian, barrier, knock.
Type: | OptionFeature
Content: | complex, 6 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
featurePayment | The feature payment.
Type: | FeaturePayment
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin TriggerEvent complexType; see XML source
featurePaymentDate | The feature payment date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FeaturePayment complexType; see XML source
fxFeature (in feature defined in OptionBaseExtended complexType) | A quanto or composite FX feature.
Type: | FxFeature
Content: | complex, 4 elements
Defined: | locally witnin OptionBaseFeature.model group; see XML source
fxRate (in quanto) | Specifies a currency conversion rate.
Type: | FxRate
Content: | complex, 2 elements
Defined: | locally witnin Quanto complexType; see XML source
fxSpotRateSource (defined in Composite complexType) | Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin Composite complexType; see XML source
fxSpotRateSource (in quanto) | Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin Quanto complexType; see XML source
gracePeriod | The number of calendar or business days after any due date that the reference entity has to fulfil its obligations before a failure to pay credit event is deemed to have occurred.
Type: | Offset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin GracePeriodExtension complexType; see XML source
gracePeriodExtension | If this element is specified, indicates whether or not a grace period extension is applicable.
Type: | GracePeriodExtension
Content: | complex, 2 elements
Defined: | locally witnin FailureToPay complexType; see XML source
impliedWritedown (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
knock (in feature defined in OptionBaseExtended complexType) | A knock feature.
Type: | Knock
Content: | complex, 2 elements
Defined: | locally witnin OptionFeature.model group; see XML source
knockIn | The knock in.
Type: | TriggerEvent
Content: | complex, 4 elements
Defined: | locally witnin Knock complexType; see XML source
knockOut | The knock out.
Type: | TriggerEvent
Content: | complex, 4 elements
Defined: | locally witnin Knock complexType; see XML source
level | The trigger level.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
levelPercentage (in featurePayment) | The trigger level percentage.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FeaturePayment complexType; see XML source
levelPercentage (in trigger defined in TriggerEvent complexType) | The trigger level percentage.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
marketDisruption (defined in AveragingPeriod complexType) | The market disruption event as defined by ISDA 2002 Definitions.
Type: | MarketDisruption
Content: | simple, 1 attribute
Defined: | locally witnin AveragingPeriod complexType; see XML source
maturityExtension | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
multipleCreditEventNotices | Presence of this element and value set to 'true' indicates that Section 3.9 of the 2003 Credit Derivatives Definitions shall apply.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Restructuring complexType; see XML source
multipleHolderObligation | In relation to a restructuring credit event, unless multiple holder obligation is not specified restructurings are limited to multiple holder obligations.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Restructuring complexType; see XML source
notifyingParty | Pointer style references to a party identifier defined elsewhere in the document.
Type: | NotifyingParty
Content: | complex, 2 elements
Defined: | locally witnin CreditEventNotice complexType; see XML source
notionalAmount (defined in OptionBaseExtended complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
notionalReference (defined in OptionBaseExtended complexType) |
Type: | NotionalAmountReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionBaseExtended complexType; see XML source
numberOfOptions (defined in OptionDenomination.model group) | The number of options comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin OptionDenomination.model group; see XML source
obligationAcceleration (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
obligationDefault (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
observationNumber | Observation number, which should be unique, within a series generated by a date schedule.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin WeightedAveragingObservation complexType; see XML source
optionEntitlement (defined in OptionDenomination.model group) | The number of units of underlyer per option comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin OptionDenomination.model group; see XML source
optionType (defined in OptionBase complexType) | The type of option transaction.
Type: | OptionTypeEnum
Content: | simple
Defined: | locally witnin OptionBase complexType; see XML source
passThrough (in feature defined in OptionBaseExtended complexType) | Pass through payments from the underlyer, such as dividends.
Type: | PassThrough
Content: | complex, 1 element
Defined: | locally witnin OptionFeature.model group; see XML source
passThroughItem | One to many pass through payment items.
Type: | PassThroughItem
Content: | complex, 6 elements
Defined: | locally witnin PassThrough complexType; see XML source
passThroughPercentage | Percentage of payments from the underlyer which are passed through.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PassThroughItem complexType; see XML source
paymentRequirement | Specifies a threshold for the failure to pay credit event.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FailureToPay complexType; see XML source
paymentType (in additionalPayment defined in NettedSwapBase complexType) | Payment classification.
Type: | PaymentType
Content: | simple, 1 attribute
Defined: | locally witnin ClassifiedPayment complexType; see XML source
premium (defined in OptionBaseExtended complexType) | The option premium payable by the buyer to the seller.
Type: | Premium
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
publiclyAvailableInformation (in creditEventNotice defined in CreditEvents complexType) | A specified condition to settlement.
Type: | PubliclyAvailableInformation
Content: | complex, 3 elements
Defined: | locally witnin CreditEventNotice complexType; see XML source
publicSource | A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
quanto | If “Quanto” is specified as the Settlement Type in the relevant Transaction Supplement, an amount, as determined by the Calculation Agent in accordance with the Section 8.2 of the Equity Definitions.
Type: | Quanto
Content: | complex, 2 elements
Defined: | locally witnin FxFeature complexType; see XML source
referenceCurrency (defined in FxFeature complexType) | Specifies the reference currency of the trade.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin FxFeature complexType; see XML source
relativeDate (defined in Composite complexType) | A date specified as some offset to another date (the anchor date).
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin Composite complexType; see XML source
repudiationMoratorium (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source
restructuring (defined in CreditEvents complexType) | A credit event.
Type: | Restructuring
Content: | complex, 4 elements
Defined: | locally witnin CreditEvents complexType; see XML source
restructuringType | Specifies the type of restructuring that is applicable.
Type: | RestructuringType
Content: | simple, 1 attribute
Defined: | locally witnin Restructuring complexType; see XML source
schedule (defined in AveragingPeriod complexType) | A schedule for generating averaging observation dates.
Type: | AveragingSchedule
Content: | complex, 3 elements
Defined: | locally witnin AveragingPeriod complexType; see XML source
schedule (defined in TriggerEvent complexType) | A Equity Derivative schedule.
Type: | AveragingSchedule
Content: | complex, 3 elements
Defined: | locally witnin TriggerEvent complexType; see XML source
sellerPartyReference (in notifyingParty) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NotifyingParty complexType; see XML source
settlementDate (defined in OptionSettlement.model group) |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionSettlement.model group; see XML source
settlementType (defined in OptionSettlement.model group) |
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin OptionSettlement.model group; see XML source
specifiedNumber | The minimum number of the specified public information sources that must publish information that reasonably confirms that a credit event has occurred.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
standardPublicSources | If this element is specified and set to 'true', indicates that ISDA defined Standard Public Sources are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
strategyFeature (in feature defined in OptionBaseExtended complexType) | A simple strategy feature.
Type: | StrategyFeature
Content: | complex, 2 elements
Defined: | locally witnin OptionBaseFeature.model group; see XML source
strikeFactor | The factor of strike.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Asian complexType; see XML source
strikePercentage (defined in OptionNumericStrike complexType) | The price or level expressed as a percentage of the forward starting spot price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionNumericStrike complexType; see XML source
strikePrice (defined in OptionNumericStrike complexType) | The price or level at which the option has been struck.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionNumericStrike complexType; see XML source
strikeSpread | Definition of the upper strike in a strike spread.
Type: | StrikeSpread
Content: | complex, 2 elements
Defined: | locally witnin StrategyFeature complexType; see XML source
time (in featurePayment) | The feature payment time.
Type: | TimeTypeEnum
Content: | simple
Defined: | locally witnin FeaturePayment complexType; see XML source
trigger (defined in TriggerEvent complexType) | The trigger level.
Type: | Trigger
Content: | complex, 6 elements
Defined: | locally witnin TriggerEvent complexType; see XML source
triggerDates | The trigger Dates.
Type: | DateList
Content: | complex, 1 element
Defined: | locally witnin TriggerEvent complexType; see XML source
triggerTimeType | The valuation time type of knock condition.
Type: | TriggerTimeTypeEnum
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
triggerType | The Triggering condition.
Type: | TriggerTypeEnum
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
underlyerReference (in passThroughItem) | Reference to the underlyer whose payments are being passed through.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin PassThroughItem complexType; see XML source
upperStrike | Upper strike in a strike spread.
Type: | OptionStrike
Content: | complex, 3 elements
Defined: | locally witnin StrikeSpread complexType; see XML source
upperStrikeNumberOfOptions | Number of options at the upper strike price in a strike spread.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin StrikeSpread complexType; see XML source
weight (in averagingObservation) | Observation weight, which is used as a multiplier for the observation value.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin WeightedAveragingObservation complexType; see XML source
writedown (defined in CreditEvents complexType) | A credit event.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditEvents complexType; see XML source

Complex Type Summary
Asian | As per ISDA 2002 Definitions.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
AveragingObservationList | An un ordered list of weighted averaging observations.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
AveragingPeriod | Period over which an average value is taken.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
AveragingSchedule | Method of generating a series of dates.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
Barrier | As per ISDA 2002 Definitions.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CalendarSpread | A type for defining a calendar spread feature.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ClassifiedPayment | A classified non negative payment.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Composite | Specifies the conditions to be applied for converting into a reference currency when the actual currency rate is not determined upfront.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
CreditEventNotice |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CreditEvents |
Content: | complex, 1 attribute, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 14 elements
Used: | at 3 locations
CreditEventsReference | Reference to credit events.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FailureToPay |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FeaturePayment | Payment made following trigger occurence.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
FrequencyType | Frequency Type.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
FxFeature | A type for defining Fx Features.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 4 locations
GracePeriodExtension |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Knock | Knock In means option to exercise comes into existence.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
MarketDisruption | Defines the handling of an averaging date market disruption for an equity derivative transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
NotifyingParty |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Option | A type for defining the common features of options.
Content: | complex, 1 attribute, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 3 locations
OptionBase | A type for defining the common features of options.
Content: | complex, 1 attribute, 8 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
OptionBaseExtended | Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series.
Content: | complex, 1 attribute, 21 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
OptionFeature | A type for defining option features.
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
OptionNumericStrike | A type for defining the strike price for an option as a numeric value without currency.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionStrike | A type for defining the strike price for an equity option.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
PassThrough | Type which contains pass through payments.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
PassThroughItem | Type to represent a single pass through payment.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Premium | A type for defining a premium.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Used: | at 1 location
PubliclyAvailableInformation |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Quanto | Determines the currency rate that the seller of the equity amounts will apply at each valuation date for converting the respective amounts into a currency that is different from the currency denomination of the underlyer.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Restructuring |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
RestructuringType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
StrategyFeature | A type for definining equity option simple strike or calendar spread strategy features.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
StrikeSpread | A type for defining a strike spread feature.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Trigger | Trigger point at which feature is effective.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
TriggerEvent | Observation point for trigger.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 4 locations
WeightedAveragingObservation | A single weighted averaging observation.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Element Group Summary
OptionBaseFeature.model | A model group containing Option Base Feature Elements.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionDenomination.model | A model group containing the option denomination components.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
OptionFeature.model | A model group containing Option Base Feature Elements.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
OptionSettlement.model | A group which has Option Settlement elements.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8648 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:complexType name="Asian"> <xsd:annotation> <xsd:documentation xml:lang="en">As per ISDA 2002 Definitions.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="averagingInOut" type="AveragingInOutEnum"/> <xsd:element minOccurs="0" name="strikeFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The factor of strike.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingPeriodIn" type="AveragingPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">The averaging in period.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingPeriodOut" type="AveragingPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">The averaging out period.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AveragingObservationList"> <xsd:annotation> <xsd:documentation xml:lang="en"> An un ordered list of weighted averaging observations. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="averagingObservation" type="WeightedAveragingObservation"> <xsd:annotation> <xsd:documentation xml:lang="en">A single weighted averaging observation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AveragingPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">Period over which an average value is taken.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A schedule for generating averaging observation dates. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> A choice between unweighted and weighted averaging date and times. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="averagingDateTimes" type="DateTimeList"> <xsd:annotation> <xsd:documentation xml:lang="en"> An unweighted list of averaging observation date and times. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingObservations" type="AveragingObservationList"> <xsd:annotation> <xsd:documentation xml:lang="en"> A weighted list of averaging observation date and times. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="marketDisruption" type="MarketDisruption"> <xsd:annotation> <xsd:documentation xml:lang="en"> The market disruption event as defined by ISDA 2002 Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AveragingSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en">Method of generating a series of dates.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Period.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The averaging period defined by a start date and an end date. </xsd:documentation> </xsd:annotation> </xsd:group> <!--frequency, frequencyType, weekNumber, day of the week were removed as their usage is covered in the CalculationPeriodFrequency --> <xsd:element minOccurs="0" name="averagingPeriodFrequency" type="CalculationPeriodFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which averaging period occurs with the regular part of the valuation schedule and their roll date convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Barrier"> <xsd:annotation> <xsd:documentation xml:lang="en">As per ISDA 2002 Definitions.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="barrierCap" type="TriggerEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">A trigger level approached from beneath.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="barrierFloor" type="TriggerEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">A trigger level approached from above.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CalendarSpread"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining a calendar spread feature.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="expirationDateTwo" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ClassifiedPayment"> <xsd:annotation> <xsd:documentation xml:lang="en">A classified non negative payment.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentType" type="PaymentType"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment classification.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Composite"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the conditions to be applied for converting into a reference currency when the actual currency rate is not determined upfront. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relativeDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date specified as some offset to another date (the anchor date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditEventNotice"> <xsd:sequence> <xsd:element minOccurs="0" name="notifyingParty" type="NotifyingParty"> <xsd:annotation> <xsd:documentation xml:lang="en"> Pointer style references to a party identifier defined elsewhere in the document. The notifying party is the party that notifies the other party when a credit event has occurred by means of a credit event notice. If more than one party is referenced as being the notifying party then either party may notify the other of a credit event occurring. ISDA 2003 Term: Notifying Party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessCenter" type="BusinessCenter"> <xsd:annotation> <xsd:documentation xml:lang="en"> Inclusion of this business center element implies that Greenwich Mean Time in Section 3.3 of the 2003 ISDA Credit Derivatives Definitions is replaced by the local time of the city indicated by the businessCenter element value. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publiclyAvailableInformation" type="PubliclyAvailableInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specified condition to settlement. Publicly available information means information that reasonably confirms any of the facts relevant to determining that a credit event or potential repudiation/moratorium, as applicable, has occurred. The ISDA defined list (2003) is the market standard and is considered comprehensive, and a minimum of two differing public sources must have published the relevant information, to declare a Credit Event. ISDA 2003 Term: Notice of Publicly Available Information Applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditEvents"> <xsd:sequence> <xsd:element minOccurs="0" name="bankruptcy" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. The reference entity has been dissolved or has become insolvent. It also covers events that may be a precursor to insolvency such as instigation of bankruptcy or insolvency proceedings. Sovereign trades are not subject to Bankruptcy as "technically" a Sovereign cannot become bankrupt. ISDA 2003 Term: Bankruptcy. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="failureToPay" type="FailureToPay"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. This credit event triggers, after the expiration of any applicable grace period, if the reference entity fails to make due payments in an aggregrate amount of not less than the payment requirement on one or more obligations (e.g. a missed coupon payment). ISDA 2003 Term: Failure to Pay. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="failureToPayPrincipal" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. Corresponds to the failure by the Reference Entity to pay an expected principal amount or the payment of an actual principal amount that is less than the expected principal amount. ISDA 2003 Term: Failure to Pay Principal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="failureToPayInterest" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. Corresponds to the failure by the Reference Entity to pay an expected interest amount or the payment of an actual interest amount that is less than the expected interest amount. ISDA 2003 Term: Failure to Pay Interest. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="obligationDefault" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. One or more of the obligations have become capable of being declared due and payable before they would otherwise have been due and payable as a result of, or on the basis of, the occurrence of a default, event of default or other similar condition or event other than failure to pay. ISDA 2003 Term: Obligation Default. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="obligationAcceleration" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. One or more of the obligations have been declared due and payable before they would otherwise have been due and payable as a result of, or on the basis of, the occurrence of a default, event of default or other similar condition or event other than failure to pay (preferred by the market over Obligation Default, because more definitive and encompasses the definition of Obligation Default - this is more favorable to the Seller). Subject to the default requirement amount. ISDA 2003 Term: Obligation Acceleration. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="repudiationMoratorium" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. The reference entity, or a governmental authority, either refuses to recognise or challenges the validity of one or more obligations of the reference entity, or imposes a moratorium thereby postponing payments on one or more of the obligations of the reference entity. Subject to the default requirement amount. ISDA 2003 Term: Repudiation/Moratorium. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="distressedRatingsDowngrade" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. Results from the fact that the rating of the reference obligation is downgraded to a distressed rating level. From a usage standpoint, this credit event is typically not applicable in case of RMBS trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maturityExtension" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. Results from the fact that the underlier fails to make principal payments as expected. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="writedown" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. Results from the fact that the underlier writes down its outstanding principal amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="impliedWritedown" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> A credit event. Results from the fact that losses occur to the underlying instruments that do not result in reductions of the outstanding principal of the reference obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="defaultRequirement" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> In relation to certain credit events, serves as a threshold for Obligation Acceleration, Obligation Default, Repudiation/Moratorium and Restructuring. Market standard is USD 10,000,000 (JPY 1,000,000,000 for all Japanese Yen trades). This is applied on an aggregate or total basis across all Obligations of the Reference Entity. Used to prevent technical/operational errors from triggering credit events. ISDA 2003 Term: Default Requirement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specified condition to settlement. An irrevocable written or verbal notice that describes a credit event that has occurred. The notice is sent from the notifying party (either the buyer or the seller) to the counterparty. It provides information relevant to determining that a credit event has occurred. This is typically accompanied by Publicly Available Information. ISDA 2003 Term: Credit Event Notice. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="CreditEventsReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to credit events.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CreditEvents" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FailureToPay"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the failure to pay provision is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="gracePeriodExtension" type="GracePeriodExtension"> <xsd:annotation> <xsd:documentation xml:lang="en"> If this element is specified, indicates whether or not a grace period extension is applicable. ISDA 2003 Term: Grace Period Extension Applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentRequirement" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a threshold for the failure to pay credit event. Market standard is USD 1,000,000 (JPY 100,000,000 for Japanese Yen trades) or its equivalent in the relevant obligation currency. This is applied on an aggregate basis across all Obligations of the Reference Entity. Intended to prevent technical/operational errors from triggering credit events. ISDA 2003 Term: Payment Requirement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FeaturePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment made following trigger occurence.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:choice> <xsd:element minOccurs="0" name="levelPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level percentage.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The monetary quantity in currency units.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="time" type="TimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The feature payment time.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="featurePaymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The feature payment date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en">Frequency Type.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="frequencyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FxFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining Fx Features.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="referenceCurrency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the reference currency of the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="composite" type="Composite"> <xsd:annotation> <xsd:documentation xml:lang="en"> If &#8220;Composite&#8221; is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price &#8211; Strike Price) / (Strike Price &#8211; Settlement Price) x Multiplier provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quanto" type="Quanto"> <xsd:annotation> <xsd:documentation xml:lang="en"> If &#8220;Quanto&#8221; is specified as the Settlement Type in the relevant Transaction Supplement, an amount, as determined by the Calculation Agent in accordance with the Section 8.2 of the Equity Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="crossCurrency" type="Composite"> <xsd:annotation> <xsd:documentation xml:lang="en"> If &#8220;Cross-Currency&#8221; is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price &#8211; Strike Price) / (Strike Price &#8211; Settlement Price) x Multiplier x one unit of the Reference Currency converted into an amount in the Settlement Currency using the rate of exchange of the Settlement Currency as quoted on the Reference Price Source on the Valuation Date, provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GracePeriodExtension"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the grace period extension provision is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="gracePeriod" type="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of calendar or business days after any due date that the reference entity has to fulfil its obligations before a failure to pay credit event is deemed to have occurred. ISDA 2003 Term: Grace Period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Knock"> <xsd:annotation> <xsd:documentation xml:lang="en"> Knock In means option to exercise comes into existence. Knock Out means option to exercise goes out of existence. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="knockIn" type="TriggerEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">The knock in.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="knockOut" type="TriggerEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">The knock out.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MarketDisruption"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the handling of an averaging date market disruption for an equity derivative transaction. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/market-disruption" name="marketDisruptionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NotifyingParty"> <xsd:sequence> <xsd:element minOccurs="0" name="buyerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="sellerPartyReference" type="PartyReference"/> </xsd:sequence> </xsd:complexType> <!--5-1 FX Refactoring: Added new complex type Option--> <xsd:complexType abstract="true" name="Option"> <xsd:annotation> <xsd:documentation> A type for defining the common features of options. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="OptionBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the common features of options. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <!--5-1 FX Refactoring: Replaced the Product with Option base class. Removed BuyerSeller.model as it exists inside the option base class--> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="OptionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="OptionBaseExtended"> <xsd:annotation> <xsd:documentation xml:lang="en"> Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="premium" type="Premium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of parameters defining procedures associated with the exercise. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="feature" type="OptionFeature"> <xsd:annotation> <xsd:documentation xml:lang="en"> An Option feature such as quanto, asian, barrier, knock. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> A choice between an explicit representation of the notional amount, or a reference to a notional amount defined elsewhere in this document. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="notionalReference" type="NotionalAmountReference"/> <xsd:element minOccurs="0" name="notionalAmount" type="Money"/> </xsd:choice> <xsd:group minOccurs="0" ref="OptionDenomination.model"/> <xsd:group ref="OptionSettlement.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining option features.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="OptionBaseFeature.model"/> <xsd:group ref="OptionFeature.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionNumericStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the strike price for an option as a numeric value without currency. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level at which the option has been struck. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikePercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level expressed as a percentage of the forward starting spot price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionNumericStrike"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PassThrough"> <xsd:annotation> <xsd:documentation xml:lang="en">Type which contains pass through payments.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="passThroughItem" type="PassThroughItem"> <xsd:annotation> <xsd:documentation xml:lang="en">One to many pass through payment items.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PassThroughItem"> <xsd:annotation> <xsd:documentation xml:lang="en">Type to represent a single pass through payment.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the underlyer whose payments are being passed through. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="passThroughPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Percentage of payments from the underlyer which are passed through. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Premium"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining a premium.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="SimplePayment"> <xsd:sequence> <xsd:group minOccurs="0" ref="Premium.model"/> <xsd:group minOccurs="0" ref="PaymentDiscounting.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PubliclyAvailableInformation"> <xsd:sequence> <xsd:element minOccurs="0" name="standardPublicSources" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If this element is specified and set to 'true', indicates that ISDA defined Standard Public Sources are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="publicSource" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred. ISDA 2003 Term: Public Source. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="specifiedNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum number of the specified public information sources that must publish information that reasonably confirms that a credit event has occurred. The market convention is two. ISDA 2003 Term: Specified Number. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Quanto"> <xsd:annotation> <xsd:documentation xml:lang="en"> Determines the currency rate that the seller of the equity amounts will apply at each valuation date for converting the respective amounts into a currency that is different from the currency denomination of the underlyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a currency conversion rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Restructuring"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the restructuring provision is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="restructuringType" type="RestructuringType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the type of restructuring that is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multipleHolderObligation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> In relation to a restructuring credit event, unless multiple holder obligation is not specified restructurings are limited to multiple holder obligations. A multiple holder obligation means an obligation that is held by more than three holders that are not affiliates of each other and where at least two thirds of the holders must agree to the event that constitutes the restructuring credit event. ISDA 2003 Term: Multiple Holder Obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multipleCreditEventNotices" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Presence of this element and value set to 'true' indicates that Section 3.9 of the 2003 Credit Derivatives Definitions shall apply. Absence of this element indicates that Section 3.9 shall not apply. NOTE: Not allowed under ISDA Credit 1999. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RestructuringType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/restructuring" name="restructuringScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="StrategyFeature"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for definining equity option simple strike or calendar spread strategy features. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="strikeSpread" type="StrikeSpread"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the upper strike in a strike spread. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calendarSpread" type="CalendarSpread"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the later expiration date in a calendar spread. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="StrikeSpread"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining a strike spread feature.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="upperStrike" type="OptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en">Upper strike in a strike spread.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="upperStrikeNumberOfOptions" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Number of options at the upper strike price in a strike spread. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Trigger"> <xsd:annotation> <xsd:documentation xml:lang="en">Trigger point at which feature is effective.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="level" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="levelPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level percentage.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between either an explicit representation of Credit Events, or Credit Events defined elsewhere in the document. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/> <xsd:element minOccurs="0" name="creditEventsReference" type="CreditEventsReference"/> </xsd:choice> </xsd:choice> <xsd:element minOccurs="0" name="triggerType" type="TriggerTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The Triggering condition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerTimeType" type="TriggerTimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The valuation time type of knock condition.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TriggerEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">Observation point for trigger.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en">A Equity Derivative schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerDates" type="DateList"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger Dates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="trigger" type="Trigger"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="featurePayment" type="FeaturePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">The feature payment.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="WeightedAveragingObservation"> <xsd:annotation> <xsd:documentation xml:lang="en">A single weighted averaging observation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between date times for literal date values, and observation numbers for schedule generated observations. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="dateTime" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Observation date time, which should be used when literal observation dates are required. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Observation number, which should be unique, within a series generated by a date schedule. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="weight" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Observation weight, which is used as a multiplier for the observation value. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:group name="OptionBaseFeature.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group containing Option Base Feature Elements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A quanto or composite FX feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strategyFeature" type="StrategyFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A simple strategy feature.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="OptionDenomination.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group containing the option denomination components. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units of underlyer per option comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="entitlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">TODO</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfOptions" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="OptionFeature.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group containing Option Base Feature Elements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="asian" type="Asian"> <xsd:annotation> <xsd:documentation xml:lang="en"> An option where and average price is taken on valuation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="barrier" type="Barrier"> <xsd:annotation> <xsd:documentation xml:lang="en">An option with a barrier feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="knock" type="Knock"> <xsd:annotation> <xsd:documentation xml:lang="en">A knock feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="passThrough" type="PassThrough"> <xsd:annotation> <xsd:documentation xml:lang="en"> Pass through payments from the underlyer, such as dividends. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="OptionSettlement.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group which has Option Settlement elements.</xsd:documentation> </xsd:annotation> <xsd:sequence> <!--Is this an optional or required elemnt ?--> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> <xsd:group minOccurs="0" ref="SettlementAmountOrCurrency.model"/> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.